## RygelBaseConfiguration

RygelBaseConfiguration — Base class that can be used for configuration implementations.

## Functions

gchar * | rygel_base_configuration_get_interface ()
gchar ** | rygel_base_configuration_get_interfaces ()
gint | rygel_base_configuration_get_port ()
gboolean | rygel_base_configuration_get_transcoding ()
gboolean | rygel_base_configuration_get_allow_upload ()
gboolean | rygel_base_configuration_get_allow_deletion ()
gchar * | rygel_base_configuration_get_log_levels ()
gchar * | rygel_base_configuration_get_plugin_path ()
gchar * | rygel_base_configuration_get_engine_path ()
gchar * | rygel_base_configuration_get_media_engine ()
gchar * | rygel_base_configuration_get_video_upload_folder ()
gchar * | rygel_base_configuration_get_music_upload_folder ()
gchar * | rygel_base_configuration_get_picture_upload_folder ()
gboolean | rygel_base_configuration_get_enabled ()
gchar * | rygel_base_configuration_get_title ()
gchar * | rygel_base_configuration_get_string ()
GeeArrayList * | rygel_base_configuration_get_string_list ()
gint | rygel_base_configuration_get_int ()
GeeArrayList * | rygel_base_configuration_get_int_list ()
gboolean | rygel_base_configuration_get_bool ()
RygelBaseConfiguration * | rygel_base_configuration_new ()

## Types and Values

#define | RYGEL_TYPE_BASE_CONFIGURATION
struct | RygelBaseConfiguration
struct | RygelBaseConfigurationClass

## Object Hierarchy

        GObject
        ╰── RygelBaseConfiguration

## Implemented Interfaces

RygelBaseConfiguration implements RygelConfiguration.

## Description

Mainly useful to only implement a small subset of the configuration.

## Functions

### rygel_base_configuration_get_interface ()

    gchar *
    rygel_base_configuration_get_interface
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_interfaces ()

    gchar **
    rygel_base_configuration_get_interfaces
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

#### Returns

.

[array length=result_length1]

### rygel_base_configuration_get_port ()

    gint
    rygel_base_configuration_get_port (RygelBaseConfiguration *self,
                                       GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_transcoding ()

    gboolean
    rygel_base_configuration_get_transcoding
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_allow_upload ()

    gboolean
    rygel_base_configuration_get_allow_upload
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_allow_deletion ()

    gboolean
    rygel_base_configuration_get_allow_deletion
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_log_levels ()

    gchar *
    rygel_base_configuration_get_log_levels
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_plugin_path ()

    gchar *
    rygel_base_configuration_get_plugin_path
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_engine_path ()

    gchar *
    rygel_base_configuration_get_engine_path
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_media_engine ()

    gchar *
    rygel_base_configuration_get_media_engine
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_video_upload_folder ()

    gchar *
    rygel_base_configuration_get_video_upload_folder
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_music_upload_folder ()

    gchar *
    rygel_base_configuration_get_music_upload_folder
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_picture_upload_folder ()

    gchar *
    rygel_base_configuration_get_picture_upload_folder
                                   (RygelBaseConfiguration *self,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_enabled ()

    gboolean
    rygel_base_configuration_get_enabled (RygelBaseConfiguration *self,
                                          const gchar *section,
                                          GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_title ()

    gchar *
    rygel_base_configuration_get_title (RygelBaseConfiguration *self,
                                        const gchar *section,
                                        GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_string ()

    gchar *
    rygel_base_configuration_get_string (RygelBaseConfiguration *self,
                                         const gchar *section,
                                         const gchar *key,
                                         GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
key |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_string_list ()

    GeeArrayList *
    rygel_base_configuration_get_string_list
                                   (RygelBaseConfiguration *self,
                                    const gchar *section,
                                    const gchar *key,
                                    GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
key |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_int ()

    gint
    rygel_base_configuration_get_int (RygelBaseConfiguration *self,
                                      const gchar *section,
                                      const gchar *key,
                                      gint min,
                                      gint max,
                                      GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
key |  |
min |  |
max |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_int_list ()

    GeeArrayList *
    rygel_base_configuration_get_int_list (RygelBaseConfiguration *self,
                                           const gchar *section,
                                           const gchar *key,
                                           GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
key |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_get_bool ()

    gboolean
    rygel_base_configuration_get_bool (RygelBaseConfiguration *self,
                                       const gchar *section,
                                       const gchar *key,
                                       GError **error);

#### Parameters

self | the RygelBaseConfiguration instance |
section |  |
key |  |
error | location to store the error occuring, or `NULL` to ignore |

### rygel_base_configuration_new ()

    RygelBaseConfiguration *
    rygel_base_configuration_new (void);

## Types and Values

### RYGEL_TYPE_BASE_CONFIGURATION

    #define RYGEL_TYPE_BASE_CONFIGURATION (rygel_base_configuration_get_type ())

The type for RygelBaseConfiguration.

### struct RygelBaseConfiguration

    struct RygelBaseConfiguration;

Base class that can be used for configuration implementations.

Mainly useful to only implement a small subset of the configuration.

### struct RygelBaseConfigurationClass

    struct RygelBaseConfigurationClass {
    	GObjectClass parent_class;
    	gchar* (*get_interface) (RygelBaseConfiguration* self, GError** error);
    	gchar** (*get_interfaces) (RygelBaseConfiguration* self, GError** error);
    	gint (*get_port) (RygelBaseConfiguration* self, GError** error);
    	gboolean (*get_transcoding) (RygelBaseConfiguration* self, GError** error);
    	gboolean (*get_allow_upload) (RygelBaseConfiguration* self, GError** error);
    	gboolean (*get_allow_deletion) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_log_levels) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_plugin_path) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_engine_path) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_media_engine) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_video_upload_folder) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_music_upload_folder) (RygelBaseConfiguration* self, GError** error);
    	gchar* (*get_picture_upload_folder) (RygelBaseConfiguration* self, GError** error);
    	gboolean (*get_enabled) (RygelBaseConfiguration* self, const gchar* section, GError** error);
    	gchar* (*get_title) (RygelBaseConfiguration* self, const gchar* section, GError** error);
    	gchar* (*get_string) (RygelBaseConfiguration* self, const gchar* section, const gchar* key, GError** error);
    	GeeArrayList* (*get_string_list) (RygelBaseConfiguration* self, const gchar* section, const gchar* key, GError** error);
    	gint (*get_int) (RygelBaseConfiguration* self, const gchar* section, const gchar* key, gint min, gint max, GError** error);
    	GeeArrayList* (*get_int_list) (RygelBaseConfiguration* self, const gchar* section, const gchar* key, GError** error);
    	gboolean (*get_bool) (RygelBaseConfiguration* self, const gchar* section, const gchar* key, GError** error);
    };

The class structure for `RYGEL_TYPE_BASE_CONFIGURATION`. All the fields in this structure are private and should never be accessed directly.

#### Members

`get_interface` () | virtual method called by `rygel_base_configuration_get_interface()` |
`get_interfaces` () | virtual method called by `rygel_base_configuration_get_interfaces()` |
`get_port` () | virtual method called by `rygel_base_configuration_get_port()` |
`get_transcoding` () | virtual method called by `rygel_base_configuration_get_transcoding()` |
`get_allow_upload` () | virtual method called by `rygel_base_configuration_get_allow_upload()` |
`get_allow_deletion` () | virtual method called by `rygel_base_configuration_get_allow_deletion()` |
`get_log_levels` () | virtual method called by `rygel_base_configuration_get_log_levels()` |
`get_plugin_path` () | virtual method called by `rygel_base_configuration_get_plugin_path()` |
`get_engine_path` () | virtual method called by `rygel_base_configuration_get_engine_path()` |
`get_media_engine` () | virtual method called by `rygel_base_configuration_get_media_engine()` |
`get_video_upload_folder` () | virtual method called by `rygel_base_configuration_get_video_upload_folder()` |
`get_music_upload_folder` () | virtual method called by `rygel_base_configuration_get_music_upload_folder()` |
`get_picture_upload_folder` () | virtual method called by `rygel_base_configuration_get_picture_upload_folder()` |
`get_enabled` () | virtual method called by `rygel_base_configuration_get_enabled()` |
`get_title` () | virtual method called by `rygel_base_configuration_get_title()` |
`get_string` () | virtual method called by `rygel_base_configuration_get_string()` |
`get_string_list` () | virtual method called by `rygel_base_configuration_get_string_list()` |
`get_int` () | virtual method called by `rygel_base_configuration_get_int()` |
`get_int_list` () | virtual method called by `rygel_base_configuration_get_int_list()` |
`get_bool` () | virtual method called by `rygel_base_configuration_get_bool()` |